#ifndef FD_controls_h_
#define FD_controls_h_
/* Header file generated with fdesign. */

/** Callback routines and free object handlers **/

extern void command(FL_OBJECT *, long);
extern void oneliner_timer_CB(FL_OBJECT *, long);
extern void update_slider_timer_CB(FL_OBJECT *, long);

extern void command(FL_OBJECT *, long);

extern void command(FL_OBJECT *, long);

extern void command(FL_OBJECT *, long);

extern void command(FL_OBJECT *, long);

extern void command(FL_OBJECT *, long);

extern void command(FL_OBJECT *, long);

extern void command(FL_OBJECT *, long);

extern void command(FL_OBJECT *, long);

extern void command(FL_OBJECT *, long);

extern void command(FL_OBJECT *, long);

extern void command(FL_OBJECT *, long);


/**** Forms and Objects ****/

typedef struct {
	FL_FORM *controls;
	void *vdata;
	char *cdata;
	long  ldata;
	FL_OBJECT *form;
	FL_OBJECT *play_pause;
	FL_OBJECT *step;
	FL_OBJECT *stop;
	FL_OBJECT *time_total;
	FL_OBJECT *time_elapsed;
	FL_OBJECT *end;
	FL_OBJECT *actual_framerate;
	FL_OBJECT *actual_framerate_label;
	FL_OBJECT *number_of_frames_played_label;
	FL_OBJECT *number_of_frames_played;
	FL_OBJECT *loop;
	FL_OBJECT *file_menu;
	FL_OBJECT *options_menu;
	FL_OBJECT *help_menu;
	FL_OBJECT *audio_mute;
	FL_OBJECT *frame_slider;
	FL_OBJECT *audio_volume_slider;
	FL_OBJECT *audio_balance_slider;
	FL_OBJECT *window_menu;
	FL_OBJECT *zoom;
	FL_OBJECT *rewind;
	FL_OBJECT *fast_forward;
	FL_OBJECT *oneliner_timer;
	FL_OBJECT *vcd_track;
	FL_OBJECT *update_slider_timer;
} FD_controls;

extern FD_controls * create_form_controls(void);
typedef struct {
	FL_FORM *about;
	void *vdata;
	char *cdata;
	long  ldata;
	FL_OBJECT *version;
} FD_about;

extern FD_about * create_form_about(void);
typedef struct {
	FL_FORM *audio;
	void *vdata;
	char *cdata;
	long  ldata;
	FL_OBJECT *close;
	FL_OBJECT *audio_ch_group;
	FL_OBJECT *audio_ch_both;
	FL_OBJECT *audio_ch_left;
	FL_OBJECT *audio_ch_right;
	FL_OBJECT *audio_controls_group;
	FL_OBJECT *audio_controls_pcm;
	FL_OBJECT *audio_controls_master;
	FL_OBJECT *audio_quality_group;
	FL_OBJECT *audio_quality_low;
	FL_OBJECT *audio_quality_medium;
	FL_OBJECT *audio_quality_high;
	FL_OBJECT *audio_ports_group;
	FL_OBJECT *audio_port_line_out;
	FL_OBJECT *audio_port_headphone;
	FL_OBJECT *audio_port_speaker;
} FD_audio;

extern FD_audio * create_form_audio(void);
typedef struct {
	FL_FORM *infos;
	void *vdata;
	char *cdata;
	long  ldata;
	FL_OBJECT *audio_group;
	FL_OBJECT *mux_bitrate;
	FL_OBJECT *audio_layer;
	FL_OBJECT *audio_bitrate;
	FL_OBJECT *audio_mode;
	FL_OBJECT *video_group;
	FL_OBJECT *file_size;
	FL_OBJECT *video_framerate;
	FL_OBJECT *video_height;
	FL_OBJECT *video_width;
	FL_OBJECT *video_bitrate;
	FL_OBJECT *file_name;
	FL_OBJECT *close;
	FL_OBJECT *audio_frequency;
	FL_OBJECT *audio_copyright;
	FL_OBJECT *audio_original;
	FL_OBJECT *audio_protected;
	FL_OBJECT *video_vbv_buffer_size;
	FL_OBJECT *video_constrained;
	FL_OBJECT *video_compliant;
	FL_OBJECT *video_pel_aspect_ratio;
} FD_infos;

extern FD_infos * create_form_infos(void);
typedef struct {
	FL_FORM *sync;
	void *vdata;
	char *cdata;
	long  ldata;
	FL_OBJECT *close;
	FL_OBJECT *sync_reset_framerate_slider;
	FL_OBJECT *sync_group;
	FL_OBJECT *sync_nominal;
	FL_OBJECT *sync_ip;
	FL_OBJECT *sync_ipb;
	FL_OBJECT *sync_sync;
	FL_OBJECT *sync_i;
	FL_OBJECT *sync_framerate_slider;
} FD_sync;

extern FD_sync * create_form_sync(void);
typedef struct {
	FL_FORM *video;
	void *vdata;
	char *cdata;
	long  ldata;
	FL_OBJECT *close;
	FL_OBJECT *video_brightness_slider_reset;
	FL_OBJECT *video_brightness_slider;
	FL_OBJECT *video_contrast_slider_reset;
	FL_OBJECT *video_contrast_slider;
	FL_OBJECT *video_gamma_slider_reset;
	FL_OBJECT *video_gamma_slider;
	FL_OBJECT *color_group;
	FL_OBJECT *video_dither_ordered;
	FL_OBJECT *video_dither_color;
	FL_OBJECT *video_dither_gray;
	FL_OBJECT *video_dither_none;
	FL_OBJECT *video_dither_ordered_colormap_private;
	FL_OBJECT *aspect_ratio_group;
	FL_OBJECT *video_aspect_ratio_coded;
	FL_OBJECT *video_aspect_ratio_square_pels;
	FL_OBJECT *video_aspect_ratio_free;
	FL_OBJECT *video_chroma_saturation_slider_reset;
	FL_OBJECT *video_chroma_saturation_slider;
	FL_OBJECT *video_layout_group;
	FL_OBJECT *video_layout_centered;
	FL_OBJECT *video_layout_fill_window;
	FL_OBJECT *video_layout_top_left;
} FD_video;

extern FD_video * create_form_video(void);
typedef struct {
	FL_FORM *frame_infos;
	void *vdata;
	char *cdata;
	long  ldata;
	FL_OBJECT *frame_type;
	FL_OBJECT *close;
	FL_OBJECT *frame_temporal_reference;
	FL_OBJECT *frame_forward_full_pel;
	FL_OBJECT *frame_backward_f_code;
	FL_OBJECT *frame_backward_full_pel;
	FL_OBJECT *frame_forward_f_code;
	FL_OBJECT *frame_vbv_delay;
} FD_frame_infos;

extern FD_frame_infos * create_form_frame_infos(void);
typedef struct {
	FL_FORM *alert;
	void *vdata;
	char *cdata;
	long  ldata;
	FL_OBJECT *close;
	FL_OBJECT *s1;
	FL_OBJECT *s2;
	FL_OBJECT *s3;
} FD_alert;

extern FD_alert * create_form_alert(void);
typedef struct {
	FL_FORM *license;
	void *vdata;
	char *cdata;
	long  ldata;
	FL_OBJECT *browser;
	FL_OBJECT *close;
} FD_license;

extern FD_license * create_form_license(void);
typedef struct {
	FL_FORM *registration;
	void *vdata;
	char *cdata;
	long  ldata;
	FL_OBJECT *key;
	FL_OBJECT *name;
	FL_OBJECT *order_number;
} FD_registration;

extern FD_registration * create_form_registration(void);
typedef struct {
	FL_FORM *splash;
	void *vdata;
	char *cdata;
	long  ldata;
	FL_OBJECT *splash_greetings;
	FL_OBJECT *button_try;
} FD_splash;

extern FD_splash * create_form_splash(void);
typedef struct {
	FL_FORM *udp;
	void *vdata;
	char *cdata;
	long  ldata;
	FL_OBJECT *port;
} FD_udp;

extern FD_udp * create_form_udp(void);

#endif /* FD_controls_h_ */
